| Flutter iOS Embedder |

Instance Methods | Properties | List of all members
FlutterDelayingGestureRecognizer Class Reference

`#import <FlutterPlatformViews_Internal.h>`

Inheritance diagram for FlutterDelayingGestureRecognizer:

## Instance Methods
(instancetype) | - initWithTarget:action:forwardingRecognizer:

## Properties
BOOL | shouldEndInNextTouchesEnded
BOOL | touchedEndedWithoutBlocking
UIGestureRecognizer * | forwardingRecognizer

## Detailed Description

Definition at line 651 of file FlutterPlatformViews.mm.

## Method Documentation

## ◆ initWithTarget:action:forwardingRecognizer:

- (instancetype) initWithTarget: |  | (id) | target
action: |  | (SEL) | action
forwardingRecognizer: |  | (UIGestureRecognizer*) | forwardingRecognizer

Definition at line 653 of file FlutterPlatformViews.mm.

653 :(id)target
654 action:(SEL)action
655 forwardingRecognizer:(UIGestureRecognizer*)forwardingRecognizer {
656 self = [super initWithTarget:target action:action];
657 if (self) {
658 self.delaysTouchesBegan = YES;
659 self.delaysTouchesEnded = YES;
660 self.delegate = self;
661 _shouldEndInNextTouchesEnded = NO;
662 _touchedEndedWithoutBlocking = NO;
663 _forwardingRecognizer = forwardingRecognizer;
664 }
665 return self;
666 }

References forwardingRecognizer.

## Property Documentation

## ◆ forwardingRecognizer

- (UIGestureRecognizer*) forwardingRecognizer
| read write nonatomic assign

Definition at line 175 of file FlutterPlatformViews_Internal.h.

Referenced by initWithTarget:action:forwardingRecognizer:.

## ◆ shouldEndInNextTouchesEnded

- (BOOL) shouldEndInNextTouchesEnded
| read write nonatomic assign

Definition at line 169 of file FlutterPlatformViews_Internal.h.

## ◆ touchedEndedWithoutBlocking

- (BOOL) touchedEndedWithoutBlocking
| read write nonatomic assign

Definition at line 173 of file FlutterPlatformViews_Internal.h.

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/framework/Source/FlutterPlatformViews.mm
- shell/platform/darwin/ios/framework/Source/FlutterPlatformViews_Internal.h

FlutterDelayingGestureRecognizer::forwardingRecognizer
UIGestureRecognizer * forwardingRecognizer
Definition: FlutterPlatformViews_Internal.h:175